Skip to main content

Observable Discrepancy

CVE-2019-18886

Severity Medium
Score 5.3/10

Summary

An issue was discovered in Symfony from 4.1.0 up to 4.2.11, 4.3.0 to 4.3.7, 4.4.0-BETA1 and 5.0.0-BETA1. The ability to enumerate users was possible due to different handling depending on whether the user existed when making unauthorized attempts to use the switch users functionality. This is related to symfony/security.

  • LOW
  • NETWORK
  • NONE
  • UNCHANGED
  • NONE
  • NONE
  • LOW
  • NONE

CWE-203 - Observable Discrepancy

The product behaves differently or sends different responses under different circumstances in a way that is observable to an unauthorized actor, which exposes security-relevant information about the state of the product, such as whether a particular operation was successful or not.

Advisory Timeline

  • Published